/*
 * adxl345.h
 *
 *  Created on: 2014/11/14
 *      Author: Tetsuya Suzuki
 */

#ifndef ADXL345_H_
#define ADXL345_H_
#ifdef __cplusplus
extern "C" {
#endif

#define ACL_ADRS (0x1d << 1)

void aclWrite(uint8_t reg, uint8_t data);
uint8_t aclRead(uint8_t reg);
void aclSetup(void);
void aclReadAxis(int16_t *x, int16_t *y, int16_t *z);

#ifdef __cplusplus
}
#endif
#endif /* ADXL345_H_ */
