/*
 * aqm0802a.h
 *
 *  Created on: 2014/10/09
 *      Author: Tetsuya Suzuki
 */

#ifndef AQM0802A_H_
#define AQM0802A_H_
#ifdef __cplusplus
extern "C" {
#endif

#define LCD_ADRS (0x3e << 1)

void lcdCom(uint8_t com);
void lcdDat(uint8_t dat);
void lcdSetup(void);
void lcdDefChar(uint8_t code, const uint8_t *font);
void lcdLocate(uint8_t x, uint8_t y);
void lcdPuts(const char *s);

#ifdef __cplusplus
}
#endif
#endif /* AQM0802A_H_ */
