/*
 * uart.h
 *
 *  Created on: 2014/10/11
 *      Author: Tetsuya Suzuki
 */

#ifndef UART_H_
#define UART_H_
#ifdef __cplusplus
extern "C" {
#endif

void uartSetupErr(void (*pFunc)(void));
void uartSetup(void);
inline uint8_t uartGetch(void);
inline void uartPuts(const char *s);
void uartPutch(uint8_t c);

#ifdef __cplusplus
}
#endif
#endif /* UART_H_ */
