// @brief PWM handler

#ifndef __PWM_H_
#define __PWM_H_
#ifdef __cplusplus
extern "C" {
#endif

inline void pwmIntEnable(void);
inline void pwmIntDisable(void);
inline void pwmStart(void);
inline void pwmStop(void);
inline void pwmDutySetup(uint8_t ch, uint8_t percent);

void pwmCounterSetup(uint32_t hz);
void pwmChannelSetup(uint8_t ch, uint8_t percent);
void oscSetup(uint32_t hz);

#define oscStart() pwmStart()
#define oscStop() pwmStop()

#ifdef __cplusplus
}
#endif
#endif
